## Primary goals

- Run on 8086 or up
- Be able to load and execute a COM program from disk
- Support for running programs in the NEC V30 8080 emulation mode

## Secondary goals

- CP/M syscall compatibility
- Terminal emulator for COM1 (like picocom on linux)
- Boot linux
- Editor (nano or ed-like)
- Self-hosting assembler

## Building

You can generate a 3.5" floppy image with `make fd1440.img`, a 5.25" floppy with `make fd160.img`.

Build requirements:

- make
- nasm
- mtools >=4.0.20 (Debian buster or up)

Useful for testing:

- C compiler
- qemu-system-i386

The Makefile has other potentially interesting targets.
